## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
# Tests are broken
%bcond_with check

# https://github.com/apache/beam
%global goipath         github.com/apache/beam
Version:                2.33.0~RC1

%gometa

%global extractdir      %(echo %{extractdir} | sed -e 's/~/-/g')
%global gosource        %(echo %{gosource} | sed -e 's/~/-/g')

%global goname          golang-github-apache-beam-2
%global godevelname     golang-github-apache-beam-2-devel

%global common_description %{expand:
Apache Beam is a unified model for defining both batch and streaming
data-parallel processing pipelines, as well as a set of language-specific SDKs
for constructing pipelines and Runners for executing them on distributed
processing backends, including Apache Flink, Apache Spark, Google Cloud
Dataflow, and Hazelcast Jet.}

%global golicenses      LICENSE NOTICE
%global godocs          CHANGES.md sdks/go/OWNERS sdks/go/README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Unified programming model for Batch and Streaming

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(cloud.google.com/go/bigquery)
BuildRequires:  golang(cloud.google.com/go/datastore)
BuildRequires:  golang(cloud.google.com/go/pubsub)
BuildRequires:  golang(cloud.google.com/go/storage)
BuildRequires:  golang(github.com/golang/protobuf/jsonpb)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/any)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/struct)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/wrappers)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/linkedin/goavro)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/text/encoding/charmap)
BuildRequires:  golang(google.golang.org/api/bigquery/v2)
BuildRequires:  golang(google.golang.org/api/dataflow/v1b3)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/iterator)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/genproto/googleapis/pubsub/v1)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
BuildRequires:  golang(google.golang.org/protobuf/types/descriptorpb)
BuildRequires:  golang(google.golang.org/protobuf/types/known/durationpb)
BuildRequires:  golang(google.golang.org/protobuf/types/known/structpb)
BuildRequires:  golang(google.golang.org/protobuf/types/known/timestamppb)
BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(google.golang.org/protobuf/testing/protocmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
# Remove files unrelated to the Go Library
find ./* -maxdepth 0 -type d -not -name "sdks" -and -not -name "_build" -exec rm -rf "{}" \;
find ./sdks -mindepth 1 -maxdepth 1 -type d -not -name "go" -exec rm -rf "{}" \;
cd %{gobuilddir}/src/%{goipath}/sdks
ln -s . v2

%build
for cmd in sdks/go/cmd/*; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
pushd %{buildroot}%{gopath}/src/%{goipath}/sdks
ln -s . v2
popd
cp golang-github-apache-beam-devel.file-list golang-github-apache-beam-devel.file-list2
sed -i 's|%{gopath}/src/%{goipath}/sdks|%{gopath}/src/%{goipath}/sdks/v2|' golang-github-apache-beam-devel.file-list2
sed -i 's|%%dir "%{gopath}/src/%{goipath}/sdks/v2"|"%{gopath}/src/%{goipath}/sdks/v2"|' golang-github-apache-beam-devel.file-list2
cat golang-github-apache-beam-devel.file-list2 >> golang-github-apache-beam-devel.file-list
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE NOTICE
%doc CHANGES.md
%doc sdks/go/README.md sdks/go/OWNERS
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Sep 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 2.33.0~RC1-1
- Uncommitted changes
